### Method

# RB RhythmDBEntry create_ext_db_key

#### Declaration [src]

    RBExtDBKey*
    rhythmdb_entry_create_ext_db_key (
      RhythmDBEntry* entry,
      RhythmDBPropType prop
    )

#### Description [src]

Creates a `RBExtDBKey` for finding external metadata for a given property. This is mostly useful for finding album or track related data.

#### Parameters

`prop`

  Type: `RhythmDBPropType`

  The primary `RhythmDBPropType` for metadata lookups.

#### Return value

Type: `RBExtDBKey`

The new `RBExtDBKey`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.